# Class `juce.Image`

Image.

Images can be loaded from a file, or created as temporary graphics targets.

Is a pointer to a JUCE Image, and wraps some JUCE ImageFileFormat functionality.

## Constructors

juce.Image (filename) | Load an image from a file.
juce.Image (pixelFormat, imageWidth, imageHeight, clearImage) | Create a temporary in-memory image.

## Methods

juce.Image:isValid () | Check Image validity.

## Tables

juce.Image.PixelFormat | Pixel formats.

## Constructors

juce.Image (filename)
  Load an image from a file. The path can be absolute or relative to the protoplug directory. To check if the file was loaded successfully, use isValid.

  ### Parameters:

  - filename
juce.Image (pixelFormat, imageWidth, imageHeight, clearImage)
  Create a temporary in-memory image.

  ### Parameters:

  - pixelFormat juce.Image.PixelFormat
  - imageWidth
  - imageHeight
  - clearImage boolean fill the image with black

## Methods

juce.Image:isValid ()
  Check Image validity.

  ### Returns:

  boolean whether the image is valid and can be used.

## Tables

juce.Image.PixelFormat
  Pixel formats.

  ### Fields:

  - UnknownFormat 0
  - RGB 1
  - ARGB 2
  - SingleChannel 3

generated by LDoc 1.4.2